Package com.arms.egovframework.javaservice.treeframework.errors.response

## Enum ErrorCode

- java.lang.Object
- - java.lang.Enum<ErrorCode>
  - - com.arms.egovframework.javaservice.treeframework.errors.response.ErrorCode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ErrorCode>`

      public enum ErrorCode
      extends java.lang.Enum<ErrorCode>

  ErrorCode가 정의돼있는 Enum Class.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COMMON_DUPLICATE_FOUND` |
    `COMMON_ENTITY_NOT_FOUND` |
    `COMMON_ID_NOT_FOUND` |
    `COMMON_ILLEGAL_STATUS` |
    `COMMON_INVALID_PARAMETER` |
    `COMMON_SYSTEM_ERROR` |
    `COMMON_TREE_DAO_ERROR` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getErrorMsg​(java.lang.Object... arg)` |
    `static ErrorCode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ErrorCode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COMMON_SYSTEM_ERROR

          public static final ErrorCode COMMON_SYSTEM_ERROR

    - #### COMMON_INVALID_PARAMETER

          public static final ErrorCode COMMON_INVALID_PARAMETER

    - #### COMMON_ENTITY_NOT_FOUND

          public static final ErrorCode COMMON_ENTITY_NOT_FOUND

    - #### COMMON_ILLEGAL_STATUS

          public static final ErrorCode COMMON_ILLEGAL_STATUS

    - #### COMMON_ID_NOT_FOUND

          public static final ErrorCode COMMON_ID_NOT_FOUND

    - #### COMMON_DUPLICATE_FOUND

          public static final ErrorCode COMMON_DUPLICATE_FOUND

    - #### COMMON_TREE_DAO_ERROR

          public static final ErrorCode COMMON_TREE_DAO_ERROR

  - ### Method Detail

    - #### values

          public static ErrorCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ErrorCode c : ErrorCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ErrorCode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getErrorMsg

          public java.lang.String getErrorMsg​(java.lang.Object... arg)